# Uses of Interface
com.sun.source.tree.ExportsTree

Packages that use ExportsTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ExportsTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type ExportsTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitExports(ExportsTree node, P p)`
Visits an `ExportsTree` node.

## Uses of ExportsTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type ExportsTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitExports(ExportsTree node, P p)`
Visits an `ExportsTree` node.
`R`
TreeScanner.`visitExports(ExportsTree node, P p)`
Visits an `ExportsTree` node.